Get wallet labels
curl --request POST \
--url https://demo-api.mobula.io/api/1/wallet/labels \
--header 'Content-Type: application/json' \
--data '
{
"walletAddresses": "<string>",
"tokenAddress": "<string>"
}
'import requests
url = "https://demo-api.mobula.io/api/1/wallet/labels"
payload = {
"walletAddresses": "<string>",
"tokenAddress": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({walletAddresses: '<string>', tokenAddress: '<string>'})
};
fetch('https://demo-api.mobula.io/api/1/wallet/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"walletAddress": "<string>",
"labels": [
"<string>"
],
"walletMetadata": {
"entityName": "<string>",
"entityLogo": "<string>",
"entityLabels": [
"<string>"
],
"entityType": "<string>",
"entityDescription": "<string>",
"entityTwitter": "<string>",
"entityWebsite": "<string>",
"entityGithub": "<string>",
"entityDiscord": "<string>",
"entityTelegram": "<string>"
},
"platform": {
"id": "<string>",
"name": "<string>",
"logo": "<string>"
},
"fundingInfo": {
"from": "<string>",
"date": "<string>",
"chainId": "<string>",
"txHash": "<string>",
"formattedAmount": 123,
"currency": {
"name": "<string>",
"symbol": "<string>",
"logo": "<string>",
"decimals": 123,
"address": "<string>"
},
"fromWalletTag": "<string>",
"fromWalletLogo": "<string>",
"fromWalletMetadata": {
"entityName": "<string>",
"entityLogo": "<string>",
"entityLabels": [
"<string>"
],
"entityType": "<string>",
"entityDescription": "<string>",
"entityTwitter": "<string>",
"entityWebsite": "<string>",
"entityGithub": "<string>",
"entityDiscord": "<string>",
"entityTelegram": "<string>",
"extra": {}
}
}
}
]
}Get Wallet Labels
Retrieve wallet labels (proTrader, smartTrader, freshTrader, sniper, insider, bundler, etc.) for a given wallet address and token address (optional).
POST
/
1
/
wallet
/
labels
Get wallet labels
Query Details
| Name | Required | Description |
|---|---|---|
walletAddresses | Yes | Wallet address. (string or array of strings) |
tokenAddress | No | Token address, if set, will return labels for the token |
Step-by-Step Tutorial and Video Walkthrough
- Check out the guide: Here
Usage Examples
- Query by
Wallet Address
curl --location 'https://api.mobula.io/api/1/wallet/labels' \
--header 'Content-Type: application/json' \
--data '{
"walletAddresses": [
"HFtFXatqaDqTsE4e4Cf7E8sRBx9zE7bmFzcHKCyXLzEx"
]
}'
- Query by
Wallet Address&Token Address
curl --location 'https://api.mobula.io/api/1/wallet/labels' \
--header 'Content-Type: application/json' \
--data '{
"walletAddresses": [
"HFtFXatqaDqTsE4e4Cf7E8sRBx9zE7bmFzcHKCyXLzEx"
],
"tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
}'
⌘I